Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Here is a list of all class members with links to the classes they belong to:

### - d -

- data() : eZDBSchemaInterface , eZLintSchema , eZOperationMemento
- DATA_TYPE_STRING : eZAuthorType , eZBinaryFileType , eZBooleanType , eZCountryType , eZDateTimeType , eZDateType , eZEmailType , eZEnumType , eZFloatType , eZIdentifierType , eZImageType , eZIniSettingType , eZIntegerType , eZISBNType , eZKeywordType , eZMatrixType , eZMediaType , eZMultiOption2Type , eZMultiOptionType , eZMultiPriceType , eZObjectRelationListType , eZObjectRelationType , eZOptionType , eZPackageType , eZPriceType , eZProductCategoryType , eZRangeOptionType , eZSelectionType , eZStringType , eZSubtreeSubscriptionType , eZTextType , eZTimeType , eZURLType , eZUserType , eZXMLTextType
- databaseClientVersion() : eZDBInterface , eZMySQLiDB , eZSQLite3DB
- databaseName() : eZDBInterface , eZMySQLiDB , eZNullDB , eZPostgreSQLDB , eZSQLite3DB
- databaseServerVersion() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB , eZSQLite3DB
- dataMap() : eZContentClass , eZContentObject , eZContentObjectTreeNode , eZContentObjectVersion , eZInformationCollection
- dataTextI18n() : eZContentClassAttribute
- dataTextI18nList() : eZContentClassAttribute
- dataType() : eZContentClassAttribute , eZContentObjectAttribute , eZFSFileHandler , eZInformationCollectionAttribute
- dataTypeByClassAttributeID() : eZContentObjectTreeNode
- dataTypeByID() : eZContentClassAttribute
- dateTimeTransformation() : eZTemplateLocaleOperator
- day() : eZDate , eZDateTime
- DB_ERROR : eZURLAliasML
- dbBegin() : eZSiteInstaller
- dbCommit() : eZSiteInstaller
- dbError() : eZURLAliasML
- DEBUG_INTERNALS : eZLocale , eZTemplate
- decimalCount() : eZLocale
- decimalSymbol() : eZLocale
- decIncTransformation() : eZTemplateArithmeticOperator
- decodeClassAttribute() : eZMatrixDefinition
- decodeColor() : eZTemplateImageOperator
- decodeCommand() : eZCodeMapper
- decodeDataTypes() : eZSOAPResponse
- decodeDOMTree() : eZMultiPrice
- decodeIRI() : eZURI
- decodeLanguageMask() : eZContentLanguage
- decodeNodeID() : eZTemplateCacheBlock
- decodeStream() : eZSOAPResponse
- decodeURL() : eZURI
- decodeXML() : eZAuthor , eZMatrix , eZMultiOption2 , eZMultiOption , eZOption , eZRangeOption
- decompress() : eZBZIP2Handler , eZCompressionHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- DEF_FUNCTION_NAME : eZTemplateDefFunction
- DEFAULT_ADJUSTMENT : eZDateTimeType
- DEFAULT_CURRENCY_CODE_FIELD : eZMultiPriceType
- DEFAULT_CURRENCY_CODE_VARIABLE : eZMultiPriceType
- DEFAULT_CURRENT_DATE : eZDateTimeType , eZDateType , eZTimeType
- DEFAULT_EMTPY : eZDateTimeType , eZDateType , eZTimeType
- DEFAULT_FIELD : eZDateTimeType , eZDateType , eZFloatType , eZTimeType
- DEFAULT_LIST_FIELD : eZCountryType
- DEFAULT_LOG_DIR : eZAudit
- DEFAULT_NAME_VARIABLE : eZMatrixType , eZMultiOption2Type , eZMultiOptionType , eZOptionType , eZRangeOptionType
- DEFAULT_PASSWORD_HASH : eZUser
- DEFAULT_STRING_FIELD : eZStringType
- DEFAULT_STRING_VARIABLE : eZStringType
- DEFAULT_TTL : eZTemplateCacheFunction
- DEFAULT_VALUE_FIELD : eZIntegerType
- DEFAULT_VALUE_VARIABLE : eZIntegerType
- DEFAULT_VARIABLE : eZFloatType
- defaultClassAttributeContent() : eZDateTimeType , eZObjectRelationListType , eZObjectRelationType
- defaultErrorHandler() : eZSiteInstaller
- defaultExceptionHandler() : eZExecution
- defaultLanguage() : eZContentObject , eZSerializedObjectNameList
- defaultLanguageLocale() : eZSerializedObjectNameList
- defaultLanguageMap() : eZPackage
- defaultMimeType() : eZMimeType
- defaultObjectAttributeContent() : eZObjectRelationListType
- defaultRepositories() : eZCollaborationItemHandler
- defaultTranslationList() : eZContentObjectVersion
- defaultValue() : eZMimeType
- defineVariables() : eZTemplateSetFunction
- definition() : eZBasket , eZBinaryFile , eZCollaborationGroup , eZCollaborationItem , eZCollaborationItemGroupLink , eZCollaborationItemMessageLink , eZCollaborationItemParticipantLink , eZCollaborationItemStatus , eZCollaborationNotificationRule , eZCollaborationProfile , eZCollaborationSimpleMessage , eZContentBrowseBookmark , eZContentBrowseRecent , eZContentClass , eZContentClassAttribute , eZContentClassClassGroup , eZContentClassGroup , eZContentClassName , eZContentLanguage , eZContentObject , eZContentObjectAttribute , eZContentObjectTrashNode , eZContentObjectTreeNode , eZContentObjectVersion , eZDiscountRule , eZDiscountSubRule , eZDiscountSubRuleValue , eZEnumObjectValue , eZEnumValue , eZForgotPassword , eZGeneralDigestUserSettings , eZImageFile , eZInformationCollection , eZInformationCollectionAttribute , eZISBNGroup , eZISBNGroupRange , eZISBNRegistrantRange , eZMedia , eZNodeAssignment , eZNotificationCollection , eZNotificationCollectionItem , eZNotificationEvent , eZOperationMemento , eZOrder , eZOrderItem , eZOrderStatus , eZOrderStatusHistory , eZPathElement , eZPDFExport , eZPendingActions , eZPersistentObject , eZPolicy , eZPolicyLimitation , eZPolicyLimitationValue , eZProductCategory , eZProductCollection , eZProductCollectionItem , eZProductCollectionItemOption , eZRole , eZRSSExport , eZRSSExportItem , eZRSSImport , eZSection , eZSiteData , eZSubtreeNotificationRule , eZTipafriendCounter , eZTipafriendRequest , eZTrigger , eZURL , eZURLAliasML , eZURLObjectLink , eZURLWildcard , eZUser , eZUserAccountKey , eZUserDiscountRule , eZUserSetting , eZVatRule , eZVatType , eZViewCounter , eZWaitUntilDateValue , eZWishList , eZWorkflow , eZWorkflowEvent , eZWorkflowGroup , eZWorkflowGroupLink , eZWorkflowProcess
- definitionFilename() : eZPackage
- deflateFunctionNode() : eZTemplateNodeTool
- delete() : eZFSFileHandler
- deleteLocal() : eZFSFileHandler
- deleteNodeWhereParent() : eZContentObjectTreeNode
- deleteNotVersionedStoredClassAttribute() : eZDataType , eZObjectRelationListType , eZObjectRelationType
- deleteStoredClassAttribute() : eZDataType , eZEnumType
- deleteStoredObjectAttribute() : eZBinaryFileType , eZDataType , eZEnumType , eZKeywordType , eZMediaType , eZMultiPriceType , eZObjectRelationListType , eZURLType , eZUserType , eZXMLTextType
- DELIVERED : eZOrderStatus
- dependencyInfo() : eZContentCacheManager
- dependencyItems() : eZPackage
- dependencyOperatorText() : eZPackage
- description() : eZContentClass , eZContentClassAttribute
- descriptionFromSerializedString() : eZContentClass
- descriptionList() : eZContentClass , eZContentClassAttribute
- DESIGN_BASE_CACHE_NAME : eZTemplateDesignResource
- designExists() : eZFilePackageHandler
- designExtensions() : eZTemplateDesignResource
- designSetting() : eZTemplateDesignResource
- designStartPath() : eZTemplateDesignResource
- destinationPath() : eZRSSImport
- destroy() : eZImageInterface , eZImageObject
- destroyLocalVariablesList() : eZTemplate
- destroySequenceVars() : eZTemplateCompiledLoop
- detachProductCollection() : eZOrder
- detectClassIdentifier() : eZContentUpload
- detectLocations() : eZContentUpload
- DEVELOPMENT : eZPackage
- diff() : eZContentClassAttribute , eZCountryType , eZDataType , eZDbSchemaChecker , eZEnumType , eZIniSettingType , eZMultiPriceType , eZPackageType , eZProductCategoryType , eZStringType , eZSubtreeSubscriptionType , eZTextType , eZXMLTextType
- diffField() : eZDbSchemaChecker
- diffIndex() : eZDbSchemaChecker
- diffTable() : eZDbSchemaChecker
- DIGITS_FIELD : eZIdentifierType
- DIGITS_VARIABLE : eZIdentifierType
- directoryPath() : eZImageAliasHandler
- directoryPermission() : eZDir
- dirpath() : eZDir
- discount() : eZOrder
- discountExVATPriceList() : eZMultiPrice
- discountIncVATPriceList() : eZMultiPrice
- discountPercent() : eZDiscount , eZProductCollectionItem , eZWishList
- display() : eZTemplate
- displayHandling() : eZInformationCollection
- displayInfo() : eZContentClassAttribute , eZContentObjectAttribute
- displayText() : eZImageAliasHandler
- displayVariable() : eZTemplateAttributeOperator
- dispositionType() : eZFilePassthroughHandler
- doClose() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- documentDirectory() : eZPackage
- doEOF() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doExists() : eZFileHandler
- doFlush() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doFunction() : eZTemplate
- doIsDirectory() : eZFileHandler
- doIsExecutable() : eZFileHandler
- doIsFile() : eZFileHandler
- doIsLink() : eZFileHandler
- doIsReadable() : eZFileHandler
- doIsWriteable() : eZFileHandler
- DOMDocument() : eZMultiPrice
- doMkdir() : eZDir
- domString() : eZMatrix , eZObjectRelationListType , eZObjectRelationType , eZXMLTextType
- domStructure() : eZPackage
- domTree() : eZImageAliasHandler
- doOpen() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doOperator() : eZTemplate
- doPasstrough() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doRead() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doRename() : eZFileHandler
- doRewind() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doSeek() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- doStatistics() : eZFileHandler
- doTell() : eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- dots() : eZPDFTable
- doUnlink() : eZFileHandler
- download() : eZFile
- downloadContent() : eZFile
- downloadFileObject() : eZBinaryFileHandler
- downloadHeaders() : eZFile
- doWrite() : eZBZIP2Handler , eZFileHandler , eZForwardCompressionHandler , eZGZIPShellCompressionHandler , eZGZIPZLIBCompressionHandler
- drawText() : eZImageInterface
- dropBase() : eZURI
- dropTempTable() : eZDBInterface , eZMySQLiDB
- dropTempTableList() : eZDBInterface
- dumpVariable() : eZDebug
- duplicate() : eZDate , eZDateTime , eZFileHandler , eZForwardCompressionHandler , eZTime
- DYNAMIC_TRANSLATIONS_ENABLED : eZTranslatorManager
- dynamicTranslationsEnabled() : eZTranslatorManager
- dynamicVatType() : eZVatType
- dynamicVatTypeName() : eZVatType
- eZDataType() : eZDataType
- eZDesign() : eZURLOperator

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.